コンテンツにスキップ
ShopentlyLearn

商品 · デジタルリリース

upload_idを作成した後、multipart/form-dataでファイルを送信し、商品に関連付けます。ダウンロードにはBearerトークンとcategoryの権限が必要です。応答はファイルのバイト列で、公開URLやパスワードは使いません。 共通販売ファイルへの明示的なアクセス規則。 new_purchases / recent_and_new / selected / all_purchasers.

GET/api/v1/products/{product_id}/file-releases

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/products/example/file-releases \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": {
    "current_release_id": "00000000-0000-4000-8000-000000000001",
    "product_version": 2,
    "releases": [
      {
        "changelog": "Manual update",
        "files": [
          {
            "file_id": "00000000-0000-4000-8000-000000000001",
            "sort_order": 0,
            "version_id": "00000000-0000-4000-8000-000000000001"
          }
        ],
        "id": "00000000-0000-4000-8000-000000000001",
        "manifest_sha256": "1111111111111111111111111111111111111111111111111111111111111111",
        "published_at": null,
        "release_sequence": null,
        "state": "active",
        "version_label": "1.0",
        "withdrawn_at": null
      }
    ],
    "update_days": 365,
    "update_mode": "period",
    "update_months": null
  },
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
商品ファイルの閲覧 · デジタル商品catalog.product_file:read_digital